> For the complete documentation index, see [llms.txt](https://docs.hockeystack.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hockeystack.com/marketing-intelligence/goals.md).

# Goals

**Goals** are the business outcomes you're trying to achieve and want to report on. The key goals for each business will be the funnel stages—how many MQLs you generated and how many deals you closed. But they can also be much smaller items, like how many forms were filled out or even how many pageviews you had this quarter.

**How goals work is:** you define a set of criteria that mark a goal as complete. Then, HockeyStack checks which users or companies have performed actions that meet those criteria. We measure how many times the goal was completed—and by whom exactly (if this data is available).

***

In HockeyStack, navigate to [Definitions > Goals](https://hockeystack.com/dashboard/actions/?utm_source=hockeystack_academy).

This page serves as your main data dictionary.

Click the **+** icon in the top right corner to create a new goal.

#### Use Cases

Depending on your business needs, you'll use a different goal setup. We've described each scenario in a dedicated doc.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hockeystack.com/marketing-intelligence/goals.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
